## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.InternalSettingDelegateSingleData

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
          org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Direct Known Subclasses:
  EStructuralFeatureImpl.InternalSettingDelegateSingleDataDynamic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataStatic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable

Enclosing class:
  EStructuralFeatureImpl

    public static class EStructuralFeatureImpl.InternalSettingDelegateSingleData

extends EStructuralFeatureImpl.InternalSettingDelegateSingle

Field Summary
`protected java.lang.Object` `defaultValue`
`protected java.lang.Object` `intrinsicDefaultValue`

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`feature, NIL`

Constructor Summary
`EStructuralFeatureImpl.InternalSettingDelegateSingleData(java.lang.Object defaultValue, java.lang.Object intrinsicDefaultValue, EStructuralFeature feature)`

Method Summary
`java.lang.Object` `dynamicGet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, boolean resolve, boolean coreType)` Returns the value of the feature of this owner.
`boolean` `dynamicIsSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Returns whether the feature of the owner is considered to be set.
`void` `dynamicSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, java.lang.Object newValue)` Sets the value of the given feature of the owner to the new value.
`void` `dynamicUnset(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Unsets the value of the given feature of the owner.
`protected void` `validate(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`dynamicInverseAdd, dynamicInverseRemove, dynamicSetting`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultValue

    protected java.lang.Object defaultValue

### intrinsicDefaultValue

    protected java.lang.Object intrinsicDefaultValue

Constructor Detail

### EStructuralFeatureImpl.InternalSettingDelegateSingleData

    public EStructuralFeatureImpl.InternalSettingDelegateSingleData(java.lang.Object defaultValue,
                                                                    java.lang.Object intrinsicDefaultValue,
                                                                    EStructuralFeature feature)

Method Detail

### validate

    protected void validate(java.lang.Object object)

### dynamicGet

    public java.lang.Object dynamicGet(InternalEObject owner,
                                       EStructuralFeature.Internal.DynamicValueHolder settings,
                                       int index,
                                       boolean resolve,
                                       boolean coreType)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns the value of the feature of this owner.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `resolve` - whether to resolve.
    `coreType` - return the core EMF object if value is a non-EMF wrapper/view.
  Returns:
    the value of the feature of this owner.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### dynamicSet

    public void dynamicSet(InternalEObject owner,
                           EStructuralFeature.Internal.DynamicValueHolder settings,
                           int index,
                           java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Sets the value of the given feature of the owner to the new value.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `newValue` - the new value for the feature.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### dynamicUnset

    public void dynamicUnset(InternalEObject owner,
                             EStructuralFeature.Internal.DynamicValueHolder settings,
                             int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Unsets the value of the given feature of the owner.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### dynamicIsSet

    public boolean dynamicIsSet(InternalEObject owner,
                                EStructuralFeature.Internal.DynamicValueHolder settings,
                                int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns whether the feature of the owner is considered to be set.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  Returns:
    whether the feature of the owner is considered to be set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.